﻿body {
    background-color: #fafafa;
    --default-font: Arial, sans-serif;
}

.flex {
    display: flex;
}

.showHidePasswordButton {
    width: 24px;
    height: 24px;
    position: absolute;
    margin-left: 425px;
}

.scafflo {
    width: 187px;
    height: 28px;
    margin: 32px 880px 0 0;
    font-family: 'Lato', sans-serif;
    font-size: 20px;
    font-weight: bold;
    color: #414042;
}

.Headingp1 {
    font-family: var(--default-font);
    font-size: 28px;
    color: #414042;
}

.Headingp2 {
    font-weight: bold;
    font-family: var(--default-font);
    font-size: 28px;
    color: #00aaff;
}

.HeadingPass {
    width: 165px;
    height: 27.8px;
    font-family: var(--default-font);
    font-size: 21px;
    font-weight: bold;
    color: var(--darkgrey);
}

.wholeLoginBackground {
    display: flex;
}


.engie-logo {
    position: absolute;
    top: 10px;
    right: 10px;
    margin-right: 18px
}

.loginPadding {
    padding-top: 40px;
}

.hintsPadding {
    padding-top: 0px;
}

.loginUser {
    margin: 0 151px 15px 0;
    object-fit: fill;
}

.loginEngie {
    margin: 0 0 15px;
    object-fit: fill;
}

.loginWhiteBackground {
    width: 527px;
    max-height: fit-content;
    margin: 0 64px 0 0;
    padding: 40px;
    box-shadow: 0 2px 4px 0 rgba(110, 110, 110, 0.25);
    background-color: var(--white);
}

.loginPadding {
    padding-top: 40px;
    width: 427px;
}

.subText {
    width: 427px;
    height: 21px;
    margin: 15px 78px 32px 0;
    font-family: var(--default-font);
    font-size: 16px;
    color: var(--darkgrey);
}


.hintText {
    width: fit-content;
    height: 21px;
    font-family: var(--default-font);
    font-size: 16px;
    color: var(--darkgrey);
}

.forgotPassword {
    width: 162px;
    height: 18px;
    margin: 24px 285px 32px 0;
    font-family: var(--default-font);
    font-size: 13px;
    color: #00aaff;
}

.forgotPasswordLink {
    color: #00aaff !important;
}

.buttonDiv {
    text-align: center;
    padding-top: 15px;
}

    .buttonDivDisabled {
        opacity: 0.4;
    }

.signinDiv {
    text-align: center;
}

.disabledButtonBackground {
    width: 218px;
    height: 37px;
    padding: 4px 20px 5px;
    border-radius: 18.5px;
    background-color: #00aaff;
    border: none;
}

.buttonBackground {
    width: 218px;
    height: 37px;
    padding: 4px 20px 5px;
    border-radius: 18.5px;
    background-color: #00aaff;
    border: none;
}

    .buttonBackground:hover {
        background-color: #0078be;
    }

.signWOktaButton {
    width: 190px;
    height: 29px;
    object-fit: contain;
    border-radius: 18.5px;
    background-color: #00aaff;
    border: none;
}
    .signWOktaButton:hover {
        background-color: #0078be;
    }
.buttonText {
    height: 20px;
    font-family: var(--default-font);
    font-size: 16px;
    text-align: center;
    color: var(--white);
}

.formText {
    width: 158px;
    height: 20px;
    font-family: var(--default-font);
    font-size: 16px;
    font-weight: bold;
    color: var(--darkgrey);
}

input:focus {
    border-bottom: 1px solid #00aaff;
    color: #00aaff;
    border: none;
}
.disclaimerText {
    height: 21px;
    margin: 2px 0 1px 20px;
    font-family: var(--default-font);
    font-size: 16px;
    color: #64dd17;
}
.disclaimerBackground {
    height: 44px;
    padding: 10px 20px;
    background-color: #f3fded;
    width: 100%;
    position: absolute;
    right: 0px;
    top: 42px;
    display: flex;
}
.disclaimerIcon {
    width: 24px;
    height: 24px;
    margin: 0 20px 0 0;
}

.inputEmailPass {
    display: block;
    border: none;
    border-bottom: 1px solid #979797;
    color: #00aaff;
    width: 100%;
}

    .inputEmailPass:invalid {
        color: #d50000;
        border-bottom: 1px solid #d50000;
    }

input:invalid {
    color: #d50000;
    border-bottom: 1px solid #d50000;
}
.white {
    padding-bottom: 2px;
}

.checkbox {
    width: 20px;
    height: 20px;
    border-radius: 2px;
    border: solid 1px #00aaff;
    background-color: #ffffff;
}

.remember-me {
    font-family: var(--default-font);
    font-size: 13px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.38;
    letter-spacing: normal;
    color: #414042;
    margin-left: 12px;
    margin-top: 2px;
}

.remember-me-container {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.scaffloLogo {
    height: fit-content;
    margin-left: -14px;
}

.text-danger {
    font-size: 13px;
}

.input-validation-error {
    color: red;
}

.success {
    width: 20px;
    height: 20px;
    background-image: url('/success.png');
}

.danger {
    width: 20px;
    height: 20px;
    background-image: url('/danger.svg');
}

.hintDiv {
    display: flex;
    padding-top: 15px;
}

@@media (max-width:1024px) {
    .wholeLoginBackground {
        display: inherit;
    }
}
